//+------------------------------------------------------------------+
//|                                                 TodayHighLow.mq4 |
//|                                These are the todays high and low |
//|                                   Copyright  2008, Serega Lykov |
//|                                       http://mtexperts.narod.ru/ |
//+------------------------------------------------------------------+
#property copyright "Copyright  2008, Serega Lykov"
#property link      "http://mtexperts.narod.ru/"
#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Blue
#property indicator_color2 Red

double HighBuffer[];
double LowBuffer[];

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
   SetIndexStyle(0,DRAW_LINE);
   SetIndexStyle(1,DRAW_LINE);
   IndicatorDigits(Digits);
   IndicatorShortName("Today High/Low");
   SetIndexBuffer(0,HighBuffer);
   SetIndexBuffer(1,LowBuffer);
   SetIndexLabel(0,"Today High");
   SetIndexLabel(1,"Today Low");
   return(0);
  }

//+------------------------------------------------------------------+
//| Custor indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
   return(0);
  }

//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int counted_bars = IndicatorCounted();
   if(counted_bars < 0) return(-1);
   if(counted_bars > 0) counted_bars--;
   int today_bars = 1440/Period();
   if(counted_bars < today_bars) int limit = today_bars;
   else limit = counted_bars;
   for(int i=0; i<=limit; i++)
     {
      HighBuffer[i] = iHigh(NULL,PERIOD_D1,iBarShift(NULL,PERIOD_D1,Time[i]));
      LowBuffer[i] = iLow(NULL,PERIOD_D1,iBarShift(NULL,PERIOD_D1,Time[i]));
     }
   return(0);
  }
//+------------------------------------------------------------------+